---
lang: en
title: 'API docs: repository.modeltype._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.modeltype._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ModelType](./repository.modeltype.md) &gt; [(constructor)](./repository.modeltype._constructor_.md)

## ModelType.(constructor)

Constructs a new instance of the `ModelType` class

<b>Signature:</b>

```typescript
constructor(modelClass: Class<T>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  modelClass | <code>Class&lt;T&gt;</code> |  |


